Update Client

View as Markdown
  • PATCH
  • /oauth2
  • /register
  • /:client_id

Update client configuration

Request

URL PARAMETERS
client_idrequiredstring
Client identifier

Example: "exampleClientId12345"

BODY PARAMETERS
validboolean
primary_redirect_uristring
client_namestring

Constraints: Length: 0-255 characters

redirect_urisstring[]
grant_typesstring[]
response_typesstring[]
token_endpoint_auth_methodstring
client_uristring
logo_uristring
scopestring
contactsstring[]
tos_uristring
policy_uristring
jwks_uristring
software_idstring
software_versionstring
application_typestring
sector_identifier_uristring
subject_typestring
id_token_signed_response_algstring
userinfo_signed_response_algstring
request_object_signing_algstring
descriptionstring

Constraints: Length: 0-255 characters

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
client_idstring
client_secretstring
registration_access_tokenstring
registration_client_uristring
client_id_issued_atinteger
client_secret_expires_atinteger
client_namestring
redirect_urisstring[]
grant_typesstring[]
response_typesstring[]
token_endpoint_auth_methodstring
client_uristring
logo_uristring
scopestring
contactsstring[]
tos_uristring
policy_uristring
jwks_uristring
software_idstring
software_versionstring
application_typestring
sector_identifier_uristring
subject_typestring
id_token_signed_response_algstring
userinfo_signed_response_algstring
request_object_signing_algstring
descriptionstring
token_expires_ininteger

Last modified on May 19, 2026

Request example

curl -X PATCH "https://api.buddy.works/oauth2/register/:client_id" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "client_name": "Updated Application Name",
  "redirect_uris": [
    "https://client.example.org/callback",
    "https://client.example.org/callback2"
  ],
  "grant_types": [
    "authorization_code",
    "refresh_token"
  ],
  "response_types": [
    "code"
  ],
  "token_endpoint_auth_method": "client_secret_basic",
  "client_uri": "https://client.example.org",
  "description": "Updated OAuth 2.0 application description",
  "token_expires_in": 7200
}'